﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.ViewModels;

namespace FlowerShopContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportFlowerComponentViewModel> GetFlowerComponent();
        List<ReportShopFlowerViewModel> GetShopFlowers();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        List<ReportOrdersByDateViewModel> GetGroupedByDateOrders();
        void SaveComponentsToWordFile(ReportBindingModel model);
        void SaveShopsToWordFile(ReportBindingModel model);
        void SaveFlowerComponentToExcelFile(ReportBindingModel model);
        void SaveShopFlowerToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
        void SaveGroupedOrdersToPdfFile(ReportBindingModel model);
    }
}
